Rails.application.routes.draw do
	locales = Site.first.in_use_locales rescue I18n.available_locales

	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do #backend
			resources :asks do
				collection do
					get 'export'
					post 'export', to: 'asks#do_export'
				end
			end
			resources :ask_acknowledgements
			resources :ask_admins
		end

		resources :asks  #fronted
	end
end

