module Ask
  class Engine < ::Rails::Engine
    initializer "ask" do
      OrbitApp.registration "Ask", :type => "ModuleApp" do
        module_label "ask.ask"
        base_url File.expand_path File.dirname(__FILE__)
        # widget_methods ["widget","widget1"]
        # widget_settings [{"data_count"=>10}]
        #taggable "AskQuestion"
        categorizable
        authorizable
        frontend_enabled
        # data_count 1..10

        side_bar do
          head_label_i18n 'ask.ask', icon_class: "icon-lightbulb"
          available_for "users"
          active_for_controllers (['admin/asks'])
          head_link_path "admin_asks_path"

          context_link 'ask.all_articles',
                                :link_path=>"admin_asks_path" ,
                                :priority=>1,
                                :active_for_action=>{'admin/asks'=>'index'},
                                :available_for => 'users'
          context_link 'categories',
                                :link_path=>"admin_module_app_categories_path" ,
                                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'ask').id}",
                                :priority=>2,
                                :active_for_action=>{'admin/asks'=>'categories'},
                                :active_for_category => 'Ask',
                                :available_for => 'managers'
          context_link 'ask.acknowledgements',
                                :link_path=>"admin_ask_acknowledgements_path" ,
                                :priority=>3,
                                :active_for_action=>{'admin/asks'=>'acknowledgements'},
                                :available_for => 'managers'
          context_link 'ask.admins',
                                :link_path=>"admin_ask_admins_path" ,
                                :priority=>4,
                                :active_for_action=>{'admin/asks'=>'admins'},
                                :available_for => 'managers'
          context_link 'ask.exports',
                                :link_path=>"export_admin_asks_path" ,
                                :priority=>5,
                                :active_for_action=>{'admin/asks'=>'exports'},
                                :available_for => 'managers'
          # context_link 'new_',
          #                       :link_path=>"new_admin_ask_path" ,
          #                       :priority=>2,
          #                       :active_for_action=>{'admin/asks'=>'new'},
          #                       :available_for => 'sub_managers'

          # context_link 'tags',
          #                       :link_path=>"admin_module_app_tags_path" ,
          #                       :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'ask').id}",
          #                       :priority=>4,
          #                       :active_for_action=>{'admin/asks'=>'tags'},
          #                       :active_for_tag => 'Ask',
          #                       :available_for => 'managers'
        end

      end
    end
  end
end